---
title: Pay Bad Debt
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Accounts](https://developers.cloudflare.com/api/go/resources/accounts)

[Pay Bad Debt](https://developers.cloudflare.com/api/go/resources/accounts/subresources/pay_bad_debt)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Pay Bad Debt

client.Accounts.PayBadDebt.New(ctx, params) (\*[PayBadDebtNewResponse](<https://developers.cloudflare.com/api/go/resources/accounts#(resource)%20accounts.pay_bad_debt%20%3E%20(model)%20PayBadDebtNewResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/pay-bad-debt

Pays outstanding bad debt for an account. Discovers all debt automatically and handles invoice deduplication.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params PayBadDebtNewParams

</summary>

AccountID param.Field\[string]

Path param: Identifier

maxLength32

<a href="#(resource)%20accounts.pay_bad_debt%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

PaymentMethodID param.Field\[string]Optional

Body param: The payment method to use. If omitted, the default payment method is used.

<a href="#(resource)%20accounts.pay_bad_debt%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20payment_method_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20accounts.pay_bad_debt%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PayBadDebtNewResponse struct{…}

</summary>

ClientSecret stringOptional

The Stripe client secret for frontend payment confirmation.

<a href="#(resource)%20accounts.pay_bad_debt%20%3E%20(model)%20PayBadDebtNewResponse%20%3E%20(schema)%20%3E%20(property)%20client_secret">Link to this property</a>

</details>

[Link to this property](<#(resource)%20accounts.pay_bad_debt%20%3E%20(model)%20PayBadDebtNewResponse%20%3E%20(schema)>)

### Pay Bad Debt

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/accounts"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  payBadDebt, err := client.Accounts.PayBadDebt.New(context.TODO(), accounts.PayBadDebtNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", payBadDebt.ClientSecret)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}
```